k = int(input())

# Преобразуем число k в строку, инвертируем ее и заменяем цифры
k_str = str(k)
mirror_map = {'0': '0', '1': '1', '2': '5', '5': '2', '8': '8', '9': '9'}
mirror_k_str = ''.join(mirror_map.get(d, d) for d in k_str[::-1])

# Преобразуем обратно в число
mirror_k = int(mirror_k_str)

print(mirror_k)

